import request from '@/utils/request'

// 查询投诉列表列表
export function listComplaint(query) {
  return request({
    url: '/bst/complaint/list',
    method: 'get',
    params: query
  })
}

// 查询投诉列表详细
export function getComplaint(id) {
  return request({
    url: '/bst/complaint/' + id,
    method: 'get'
  })
}

// 新增投诉列表
export function addComplaint(data) {
  return request({
    url: '/bst/complaint',
    method: 'post',
    data: data
  })
}

// 修改投诉列表
export function updateComplaint(data) {
  return request({
    url: '/bst/complaint',
    method: 'put',
    data: data
  })
}

// 删除投诉列表
export function delComplaint(id) {
  return request({
    url: '/bst/complaint/' + id,
    method: 'delete'
  })
}
